Installer - Bug #26233

katello nightly not installable because of "Puppet 4.10.12 does not meet requirements for
puppet-squid (>= 5.5.8 < 7.0.0)"
03/05/2019 09:49 AM - Jan Hutaf

Status: Duplicate
Priority: Normal
Assignee:

Category: External modules

Target version:

Difficulty: Fixed in Releases:

Triaged: No Found in Releases: 1.22.0

Bugzilla link: Red Hat JIRA:

Pull request:

Description

[root@katello ~]# foreman-installer --scenario katello --enable-foreman-proxy-plugin-remote-execut
ion-ssh

Puppet 4.10.12 does not meet requirements for puppet-squid (>= 5.5.8 < 7.0.0)
Cannot continue due to incompatible version of Puppet. Use --skip-puppet-version-check to disable
this check.

| know there is https://projects.theforeman.org/issues/22746, but looks like nightly packages were not build yet (and PR was merged
some time ago).

Related issues:
Related to Packaging - Refactor #26339: Require at least Puppet 5.5.8 Closed

History

#1 - 03/06/2019 01:39 PM - Ewoud Kohl van Wijngaarden
- Category set to External modules

- Found in Releases 1.22.0 added

Because of this https://community.theforeman.org/t/dropping-puppet-4-support-in-our-installer/13029 was opened. I'm strongly leaning to dropping
Puppet 4 support in nightly, especially considering it's EOL upstream.

#2 - 03/13/2019 02:26 PM - Ewoud Kohl van Wijngaarden
- Related to Refactor #26339: Require at least Puppet 5.5.8 added

#3 - 04/11/2019 04:06 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Duplicate

Going to consider this a duplicate of #26339.

05/20/2024 1/1



https://projects.theforeman.org/issues/22746
https://community.theforeman.org/t/dropping-puppet-4-support-in-our-installer/13029
https://projects.theforeman.org/issues/26339
http://www.tcpdf.org

